# botoplus

## Getting Started

| Notebook | Description |
| -------- | ----------- |
| [botoplus](botoplus.ipynb) | Authentication & Dependencies |
| [searching](notebooks/securitylake/searching.ipynb) | Searching the Security Lake Logs |

### Security Lake

| Notebook | Description |
| -------- | ----------- |
| [resolver-query-logs](notebooks/securitylake/resolver-query-logs.ipynb) | Amazon Route53 Resolver Query Logs |

## More Notebooks

### Cloud Development Kit (CDK)

| Notebook | Description |
| -------- | ----------- |
| [identify-cdk-bootstraps](notebooks/cdk/identify-cdk-bootstraps.ipynb) | Identify CDK Bootstraps with Versions for All Accounts & Regions |
| [remove-bootstrap-everywhere](notebooks/cdk/remove-bootstrap-everywhere.ipynb) | Remove CDK Bootstraps with provided Qualifier from Everywhere |

### CloudFormation

| Notebook | Description |
| -------- | ----------- |
| [delete-stack-everywhere](notebooks/cloudformation/delete-stack-everywhere.ipynb) | Delete CloudFormation Stack Everywhere |

### Control Tower

| Notebook | Description |
| -------- | ----------- |
| [periodic-daily-donfig-recordings](notebooks/controltower/periodic-daily-donfig-recordings.ipynb) | Setup Config Daily Recordings |

### Elastic Compute Cloud (EC2)

| Notebook | Description |
| -------- | ----------- |
| [public-amazon-machine-images](notebooks/ec2/public-amazon-machine-images.ipynb) | Find Public Amazon Machine Images |

### Organizations

| Notebook | Description |
| -------- | ----------- |
| [identify-privileged-accounts](notebooks/organizations/identify-privileged-accounts.ipynb) | List of Delegated Administration Accounts & Services |

### Security Hub

| Notebook | Description |
| -------- | ----------- |
| [minimal-cost-configuration](notebooks/securityhub/minimal-cost-configuration.ipynb) | Disable All Standards & Limit Subscriptions |

### Security Lake

| Notebook | Description |
| -------- | ----------- |
| [deregister-delegated-administrator](notebooks/securitylake/deregister-delegated-administrator.ipynb) | Deregister Delegated Administrator |

### Simple Storage Service (S3)

| Notebook | Description |
| -------- | ----------- |
| [public-cors-configuration](notebooks/s3/public-cors-configuration.ipynb) | Find potentially public S3 Buckets with CORS Configured |

### Virtual Private Cloud (VPC)

| Notebook | Description |
| -------- | ----------- |
| [delete-default-vpcs](notebooks/vpc/delete-default-vpcs.ipynb) | Delete Default VPCs Across All Regions |
| [ip-address-conflicts](notebooks/vpc/ip-address-conflicts.ipynb) | Identify IP address conflicts, default VPCs, & IPv6 configs |
